<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

	
	<xsd:element name="INSTALL_PHASE" type="InstallPhaseContent"/>
	<xsd:element name="INSTALL_PHASE_TYPE" type="InstallPhaseType"/>
	<xsd:element name="INSTALL_PHASE_PROGRESS" type="xsd:integer"/>     <!-- in percents -->
	<xsd:element name="INSTALL_PHASE_STATUS" type="InstallPhaseStatusType"/>

  
	<xsd:complexType name="InstallPhaseContent">
		<xsd:sequence>
			<xsd:element ref="INSTALL_PHASE_TYPE" minOccurs="0"/>
			<xsd:element ref="INSTALL_PHASE_PROGRESS" minOccurs="0"/>
			<xsd:element ref="INSTALL_PHASE_STATUS" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>  
	</xsd:complexType>

	<xsd:simpleType name="InstallPhaseType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="InstallPhaseType_swLoading"/>
      <xsd:enumeration value="InstallPhaseType_ipmcBurning"/>
      <xsd:enumeration value="InstallPhaseType_completed"/> <!-- for logging out after X seconds -->
    </xsd:restriction>
	</xsd:simpleType>

  <xsd:simpleType name="InstallPhaseStatusType">
    <xsd:restriction base="xsd:string">
      <xsd:enumeration value="not_started"/>
      <xsd:enumeration value="in_progress"/>
      <xsd:enumeration value="success"/>
      <xsd:enumeration value="failure"/>
    </xsd:restriction>
  </xsd:simpleType>

  
</xsd:schema>
